Report a comment
const url = 'https://api.gampeon.com/v1/comments/1/reports';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"category":"illegal_content","explanation":"example","reporterName":"example","reporterEmail":"hello@example.com","goodFaith":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.gampeon.com/v1/comments/1/reports \ --header 'Content-Type: application/json' \ --data '{ "category": "illegal_content", "explanation": "example", "reporterName": "example", "reporterEmail": "hello@example.com", "goodFaith": true }'Same rules as reporting a post. A copy of the comment is kept with the report.
Not available with access tokens.
Rate limit: 10 per hour per IP (together with other reports).
Authorizations
Section titled “Authorizations”- None
- session
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Comment ID
Request Bodyrequired
Section titled “Request Bodyrequired”object
Confirms the report is made in good faith
Responses
Section titled “Responses”Report received (200 if you already reported this comment)
object
Example
{ "status": "open"}Error codes: invalid_field
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: token_not_allowed
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: not_found
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: good_faith_confirmation_required
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Limit: 10 per hour per IP (together with other reports). Error codes: rate_limited
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}